%define upstream_name    TryCatch
%define upstream_version 1.003000

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Easily build XS extensions that depend on XS extensions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.xz
Patch0:		TryCatch-1.003000-B::Hooks::EndOfScope-0.12.patch

BuildRequires:	perl(B::Hooks::EndOfScope)
BuildRequires:	perl(B::Hooks::OP::Check)
BuildRequires:	perl(B::Hooks::OP::PPAddr)
BuildRequires:	perl(Devel::Declare)
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Types)
BuildRequires:	perl(Parse::Method::Signatures)
BuildRequires:	perl(Scope::Upper)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Variable::Magic)
BuildRequires:	perl(XSLoader)
BuildRequires:	perl-devel


%description
This module aims to provide a nicer syntax and method to catch errors in
Perl, similar to what is found in other languages (such as Java, Python or
C++). The standard method of using 'eval {}; if ($@) {}' is often prone to
subtle bugs, primarily that its far too easy to stomp on the error in error
handlers. And also eval/if isn't the nicest idiom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Thu Jan 24 2013 pterjan <pterjan> 1.3.0-5.mga3
+ Revision: 391747
- Add patch found on rt to build with recent B::Hooks::EndOfScope

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.3.0-3.mga3
+ Revision: 251285
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.3.0-2.mga2
+ Revision: 105093
- Rebuild for perl 5.14

* Wed Jan 26 2011 jquelin <jquelin> 1.3.0-1.mga1
+ Revision: 40771
- mageia rebuild
- imported package perl-TryCatch


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 607513
- import perl-TryCatch

